Posts
List all posts
GET
/
posts
List all posts
curl --request GET \
--url https://tibbie.co/api/v1/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://tibbie.co/api/v1/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tibbie.co/api/v1/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://tibbie.co/api/v1/posts';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"id": 123,
"content": "<string>",
"status": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator": {
"id": 123,
"name": "<string>"
},
"platforms": [
{
"id": 123,
"connected_account_id": 123,
"provider": "<string>",
"username": "<string>",
"content": "<string>",
"status": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"platform_post_id": "<string>",
"error_message": "<string>"
}
],
"media": [
{
"id": 123,
"url": "<string>",
"file_type": "<string>",
"mime_type": "<string>"
}
]
}
],
"meta": {
"current_page": 123,
"last_page": 123,
"per_page": 123,
"total": 123
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
draft, scheduled, publishing, published, failed Required range:
1 <= x <= 100Available options:
created_at, scheduled_at Available options:
asc, desc Last modified on February 21, 2026
Was this page helpful?
⌘I
List all posts
curl --request GET \
--url https://tibbie.co/api/v1/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://tibbie.co/api/v1/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tibbie.co/api/v1/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://tibbie.co/api/v1/posts';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"id": 123,
"content": "<string>",
"status": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator": {
"id": 123,
"name": "<string>"
},
"platforms": [
{
"id": 123,
"connected_account_id": 123,
"provider": "<string>",
"username": "<string>",
"content": "<string>",
"status": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"platform_post_id": "<string>",
"error_message": "<string>"
}
],
"media": [
{
"id": 123,
"url": "<string>",
"file_type": "<string>",
"mime_type": "<string>"
}
]
}
],
"meta": {
"current_page": 123,
"last_page": 123,
"per_page": 123,
"total": 123
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}